Page MenuHomeFreeBSD

devel/leiningen: Debashify
ClosedPublic

Authored by tobik on Jun 29 2017, 3:26 PM.
Tags
None
Referenced Files
F86412942: D11405.diff
Thu, Jun 20, 2:55 AM
Unknown Object (File)
Sun, Jun 16, 6:31 AM
Unknown Object (File)
Sun, Jun 16, 6:12 AM
Unknown Object (File)
Thu, May 23, 3:47 AM
Unknown Object (File)
May 4 2024, 11:30 AM
Unknown Object (File)
May 4 2024, 11:30 AM
Unknown Object (File)
Apr 19 2024, 12:06 PM
Unknown Object (File)
Feb 20 2024, 12:42 AM
Subscribers
None

Details

Summary
- Debashify and use /bin/sh for lein
- Remove pkg-message with outdated advice
- Add LICENSE_FILE

  Approved by:	??? (mentor)
  Differential Revision:	https://reviews.freebsd.org/D?????
Test Plan

poudriere testport 11.0/amd64 ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

devel/leiningen/Makefile
7–10 ↗(On Diff #30208)

You should remove all the :source1 related bits, they are also generated by USE_GITHUB. So you end up having the distfile twice, it is the reason you get it twice when you run make makesum.

32 ↗(On Diff #30208)

This should be

${JAVAJARDIR}/leiningen.jar
  • Remove :source1 and fix PLIST_FILES
mat added inline comments.
devel/leiningen/Makefile
36–39 ↗(On Diff #30211)

This feels a bit like dark magic :-)

This revision is now accepted and ready to land.Jun 29 2017, 4:27 PM
This revision was automatically updated to reflect the committed changes.